Subject: [quicwg/base-drafts] Ben Kaduk's TLS Comment 12 (#4488)

From: Lucas Pardue <[email-masked]>
Date: Tue, 05 Jan 2021 18:53:56 -0800

@kaduk said:

> Section 5
> 
>    *  Retry packets use AEAD_AES_128_GCM to provide protection against
>       accidental modification or insertion by off-path adversaries; see
>       Section 5.8.
> 
> [As noted by others, please check the terminology here against
> [QUIC-TRANSPORT]; I think the latter uses "attacker" rather than
> "adversary" and I haven't internalized the new on-path, limited on-path,
> off-path terminology yet, either.]
> 
>    *  All other packets have strong cryptographic protections for
>       confidentiality and integrity, using keys and algorithms
>       negotiated by TLS.
> 
> (side note) the handshake keys are "strong" in a certain sense
> (unpredictability) but weak in the sense that they are not authenticated
> until the handshake has completed.  It may not be necessary to attempt
> to express this subtlety in this point in the document, though.

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/issues/4488

---

From: Martin Thomson <[email-masked]>
Date: Tue, 05 Jan 2021 21:18:49 -0800

The first here is in the process of being addressed, see #4462.

I agree regarding "strong", but also agree regarding what to do about it.

My proposal is to let #4462 close this issue.

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/issues/4488#issuecomment-755084685

---

From: Jana Iyengar <[email-masked]>
Date: Wed, 06 Jan 2021 18:33:50 -0800

Closed #4488 via #4462.

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/issues/4488#event-4177904438